import { MarkerSeries } from "./MarkerSeries";
import { Point, Type } from "igniteui-react-core/ES5/type";
import { PolarAxisInfoCache } from "./PolarAxisInfoCache";
import { SeriesRenderer$2 } from "./SeriesRenderer$2";
import { PolarFrame } from "./PolarFrame";
import { DependencyProperty } from "igniteui-react-core/ES5/DependencyProperty";
import { IFastItemColumn$1 } from "igniteui-react-core/ES5/IFastItemColumn$1";
import { NumericAngleAxis } from "./NumericAngleAxis";
import { NumericRadiusAxis } from "./NumericRadiusAxis";
import { TrendLineType } from "igniteui-react-core/ES5/TrendLineType";
import { Brush } from "igniteui-react-core/ES5/Brush";
import { PenLineCap } from "igniteui-react-core/ES5/PenLineCap";
import { DoubleCollection } from "igniteui-react-core/ES5/DoubleCollection";
import { SeriesView } from "./SeriesView";
import { List$1 } from "igniteui-react-core/ES5/List$1";
import { SeriesPointOfInterest } from "./SeriesPointOfInterest";
import { Axis } from "./Axis";
import { Rect } from "igniteui-react-core/ES5/Rect";
import { Marker } from "./Marker";
import { MarkerSeriesView } from "./MarkerSeriesView";
import { PolarAxes } from "./PolarAxes";
import { FastItemsSourceEventAction } from "igniteui-react-core/ES5/FastItemsSourceEventAction";
import { AxisRange } from "./AxisRange";
import { HashPool$2 } from "igniteui-react-core/ES5/HashPool$2";
import { OwnedPoint } from "./OwnedPoint";
import { MarkerManagerBase } from "./MarkerManagerBase";
import { PolarTrendLineManager } from "./PolarTrendLineManager";
import { RenderSurface } from "./RenderSurface";
import { IDictionary$2 } from "igniteui-react-core/ES5/IDictionary$2";
import { RenderingContext } from "igniteui-react-core/ES5/RenderingContext";
export declare abstract class PolarBase extends MarkerSeries {
    static $t: Type;
    protected bf(): SeriesView;
    il(a: SeriesView): void;
    my: PolarBaseView;
    private mz;
    hm(): void;
    protected get_c0(): boolean;
    ne(a: List$1<SeriesPointOfInterest>): boolean;
    constructor();
    private ny;
    private nz;
    private ms;
    mx: PolarAxisInfoCache;
    private op;
    private oo;
    m5: SeriesRenderer$2<PolarFrame, PolarBaseView>;
    nn: string;
    nt: string;
    protected m9: IFastItemColumn$1<number>;
    private m7;
    protected na: IFastItemColumn$1<number>;
    private m8;
    mu: NumericAngleAxis;
    mv: NumericRadiusAxis;
    nf: boolean;
    ni: number;
    m6: TrendLineType;
    oj: Brush;
    oi: Brush;
    static readonly n3: DependencyProperty;
    nh: number;
    ol: PenLineCap;
    ok: DoubleCollection;
    nj: number;
    nk: number;
    nd: boolean;
    m2: PolarFrame;
    m4: PolarFrame;
    m1: PolarFrame;
    mw: PolarAxes;
    h3(): void;
    protected hr(a: FastItemsSourceEventAction, b: number, c: number, d: string): void;
    protected jj(a: Rect, b: Rect): void;
    protected jk(a: Rect, b: Rect): void;
    du(a: Rect, b: Rect, c: SeriesView): boolean;
    i5(a: boolean): void;
    private on;
    an(a: Axis): AxisRange;
    c7(a: any): boolean;
    fl(a: Point): any;
    e4(a: Point): number;
    ag(): Axis[];
    protected ir(a: any, b: string, c: any, d: any): void;
    nc(a: any): boolean;
    nb(a: any): boolean;
    ho(a: boolean, b: SeriesView): void;
    private mt;
    nx(a: PolarFrame, b: number, c: Rect, d: Rect): void;
    n0(a: PolarFrame, b: PolarBaseView): void;
    n2(a: PolarFrame, b: PolarBaseView): void;
    private nw;
    protected jf(): void;
    m3: PolarFrame;
    i6(a: Rect, b: RenderSurface): void;
    private m0;
    i3(a: Rect, b: Rect, c: RenderSurface, d: string, e: number): void;
    n1(a: IDictionary$2<any, OwnedPoint>, b: HashPool$2<any, Marker>): void;
    mr(a: HashPool$2<any, Marker>, b: Rect, c: Rect): Point[];
    ng(a: HashPool$2<any, Marker>): List$1<number>;
    om(a: number): Point;
    protected hx(a: any): void;
    static $$p: string[];
}
export declare class PolarBaseView extends MarkerSeriesView {
    static $t: Type;
    protected cq: PolarBase;
    cp: MarkerManagerBase;
    constructor(a: PolarBase);
    cr: PolarTrendLineManager;
    ap(): void;
    protected co(): MarkerManagerBase;
    protected cv(a: IDictionary$2<any, OwnedPoint>): void;
    protected cn(): Point[];
    protected ct(): List$1<number>;
    cu(a: Rect, b: Rect, c: Rect, d: Rect): void;
    cw(): void;
    cs: HashPool$2<any, Marker>;
    cc(a: (arg1: Marker) => void): void;
    protected a2(a: RenderingContext, b: boolean): void;
    protected cx(): Rect;
    getDefaultTooltipTemplate(): string;
}
